Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xpath.xml
Class QName

    java.lang.Object
      |
      +--weblogic.apache.xalan.xpath.xml.QName

public class QName
extends java.lang.Object
implements java.io.Serializable

Class to represent a qualified name: "The name of an internal XSLT object, specifically a named template (see [7 Named Templates]), a mode (see [6.7 Modes]), an attribute set (see [8.1.4 Named Attribute Sets]), a key (see [14.2 Keys]), a locale (see [14.3 Number Formatting]), a variable or a parameter (see [12 Variables and Parameters]) is specified as a QName. If it has a prefix, then the prefix is expanded into a URI reference using the namespace declarations in effect on the attribute in which the name occurs. The expanded name consisting of the local part of the name and the possibly null URI reference is used as the name of the object. The default namespace is not used for unprefixed names."

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `m_localpart` The local name.
`java.lang.String` | `m_namespace` The namespace, which may be null.
`static java.lang.String` | `S_XMLNAMESPACEURI` The XML namespace.

Constructor Summary
`QName(java.lang.String qname)` Construct a QName from a string, without namespace resolution.
`QName(java.lang.String qname, org.w3c.dom.Element namespaceContext, PrefixResolver resolver)` Construct a QName from a string, resolving the prefix using the given namespace stack.
`QName(java.lang.String qname, PrefixResolver resolver)` Construct a QName from a string, resolving the prefix using the given namespace stack.
`QName(java.lang.String qname, java.util.Stack namespaces)` Construct a QName from a string, resolving the prefix using the given namespace stack.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Override equals and agree that we're equal if the passed object is a string and it matches the name of the arg.
`boolean` | `equals(QName qname)` Override equals and agree that we're equal if the passed object is a QName and it matches the name of the arg.
`boolean` | `equals(java.lang.String ns, java.lang.String localPart)` Override equals and agree that we're equal if the passed object is a string and it matches the name of the arg.
`int` | `hashCode()` Return the cached hashcode of the qualified name.
`java.lang.String` | `toString()` Return the string representation of the namespace.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### S_XMLNAMESPACEURI

    public static final java.lang.String S_XMLNAMESPACEURI

  The XML namespace.

### m_namespace

    public java.lang.String m_namespace

  The namespace, which may be null.

### m_localpart

    public java.lang.String m_localpart

  The local name.

Constructor Detail

### QName

    public QName(java.lang.String qname)

  Construct a QName from a string, without namespace resolution. Good for a few odd cases.

### QName

    public QName(java.lang.String qname,
                 java.util.Stack namespaces)

  Construct a QName from a string, resolving the prefix using the given namespace stack. The default namespace is not resolved.

### QName

    public QName(java.lang.String qname,
                 org.w3c.dom.Element namespaceContext,
                 PrefixResolver resolver)

  Construct a QName from a string, resolving the prefix using the given namespace stack. The default namespace is not resolved.

### QName

    public QName(java.lang.String qname,
                 PrefixResolver resolver)

  Construct a QName from a string, resolving the prefix using the given namespace stack. The default namespace is not resolved.

Method Detail

### hashCode

    public int hashCode()

  Return the cached hashcode of the qualified name.

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object obj)

  Override equals and agree that we're equal if the passed object is a string and it matches the name of the arg.

  Overrides:
    equals in class java.lang.Object

### equals

    public boolean equals(java.lang.String ns,
                          java.lang.String localPart)

  Override equals and agree that we're equal if the passed object is a string and it matches the name of the arg.

### equals

    public boolean equals(QName qname)

  Override equals and agree that we're equal if the passed object is a QName and it matches the name of the arg.

### toString

    public java.lang.String toString()

  Return the string representation of the namespace. Performs string concatenation, so beware of performance issues.

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD